<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <h:head>
        <title>Facelet Title</title>
    </h:head>
    <h:body>

        <p:dataTable id="tbUsuario" value="#{cadastroAdministradorBean.lista}" var="administrador">

            <p:column headerText="Código" width="100">
                #{administrador.id}
            </p:column>

            <p:column headerText="Login">
                #{administrador.loginAdm}
            </p:column>

            <p:column headerText="Nome">
                #{administrador.nome}
            </p:column>

            <p:column headerText="Editar" >

                <p:commandButton   process="@this" oncomplete="PF('dlg2').show();"  value="Editar">                                      

                    <f:setPropertyActionListener target="#{cadastroAdministradorBean.administradorSelecionado}" value="#{administrador}" />  
                </p:commandButton>

            </p:column>

            <p:column headerText="Excluir" >                    

                <p:commandButton process="@this" actionListener="#{cadastroAdministradorBean.deletar(administrador)}" value="Excluir">

                    <p:confirm id="excluir" header="Remover Usuário" message="Deseja realmente remover o usuário #{administrador.nome}?" icon="ui-icon-alert"/>
                </p:commandButton>

            </p:column>


        </p:dataTable>

        <p:dialog header="Modal Dialog" widgetVar="dlg2" modal="true" height="100">
            <h:outputText value="This is a Modal Dialog." />
            <p:panelGrid columns="2">
                <h:outputText value="This is a Modal Dialog." />
                <h:outputText value="This is a Modal Dialog." />
            </p:panelGrid>
        </p:dialog>  


        <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
            <p:commandButton value="Sim" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
            <p:commandButton value="Não" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
        </p:confirmDialog>

    </h:body>
</html>

